<?php

namespace Chill\ActivityBundle\Controller;

use Chill\MainBundle\CRUD\Controller\CRUDController;
use Chill\MainBundle\Pagination\PaginatorInterface;
use Symfony\Component\HttpFoundation\Request;

class AdminActivityPresenceController extends CRUDController
{
    /**
     * @param string $action
     * @param \Doctrine\ORM\QueryBuilder|mixed $query
     * @param Request $request
     * @param PaginatorInterface $paginator
     * @return \Doctrine\ORM\QueryBuilder|mixed
     */
    protected function orderQuery(string $action, $query, Request $request, PaginatorInterface $paginator)
    {
        /** @var \Doctrine\ORM\QueryBuilder $query */
        return $query->orderBy('e.id', 'ASC');
    }
}
