<?php

namespace Chill\ActivityBundle\Form\Type;

use Chill\ActivityBundle\Entity\ActivityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ActivityFieldPresence extends AbstractType
{
    public function getParent()
    {
        return ChoiceType::class;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(
            array(
                'choices' => [
                    'Invisible' => ActivityType::FIELD_INVISIBLE,
                    'Optional' => ActivityType::FIELD_OPTIONAL,
                    'Required' => ActivityType::FIELD_REQUIRED,
                ],
            )
        );
    }
}
