<?php

namespace Chill\ActivityBundle\Repository;

use Chill\PersonBundle\Entity\AccompanyingPeriod;
use Chill\PersonBundle\Entity\Person;

interface ActivityACLAwareRepositoryInterface
{
    /**
     * @return array|Activity[]
     */
    public function findByPerson(Person $person, string $role, ?int $start = 0, ?int $limit = 1000, ?array $orderBy = []): array;

    /**
     * @return array|Activity[]
     */
    public function findByAccompanyingPeriod(AccompanyingPeriod $period, string $role, ?int $start = 0, ?int $limit = 1000, ?array $orderBy = []): array;
}
