<?php

namespace Chill\ActivityBundle\Tests\Export\Export;

use Chill\MainBundle\Test\Export\AbstractExportTest;

/**
 * 
 *
 * @author Julien Fastré <julien.fastre@champs-libres.coop>
 */
class CountActivityTest extends AbstractExportTest
{
    /**
     *
     * @var 
     */
    private $export;
    
    public function setUp()
    {
        static::bootKernel();
        
        /* @var $container \Symfony\Component\DependencyInjection\ContainerInterface */
        $container = self::$kernel->getContainer();
        
        $this->export = $container->get('chill.activity.export.count_activity');
    }
    
    public function getExport()
    {
        return $this->export;
    }

    public function getFormData()
    {
        return array(
            array()
        );
    }

    public function getModifiersCombination()
    {
        return array(
            array('activity'),
            array('activity', 'person')
        );
    }

}
