<?php

namespace Chill\MainBundle\Controller;

use Chill\MainBundle\CRUD\Controller\ApiController;
use Symfony\Component\HttpFoundation\Request;

/**
 * Class LocationTypeApiController
 *
 * @package Chill\MainBundle\Controller
 * @author Champs Libres
 */
class LocationTypeApiController extends ApiController
{
    public function customizeQuery(string $action, Request $request, $query): void
    {
        $query->andWhere(
            $query->expr()->andX(
                $query->expr()->eq('e.availableForUsers', "'TRUE'"),
                $query->expr()->eq('e.active', "'TRUE'"),
            )
        );
    }
}