<?php

namespace Chill\MainBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;

/**
 * Class MenuController
 *
 * @package Chill\MainBundle\Controller
 */
class MenuController extends AbstractController
{
    public function writeMenuAction($menu, $layout, $activeRouteKey = null, array $args = array() )
    {
        return $this->render($layout, array(
            'menu_composer' => $this->get('chill.main.menu_composer'),
            'menu' => $menu,
            'args' => $args,
            'activeRouteKey' => $activeRouteKey
        ));
    }
}
