<?php

namespace Chill\MainBundle\Routing\MenuBuilder;

use Knp\Menu\MenuItem;

class LocationMenuBuilder implements \Chill\MainBundle\Routing\LocalMenuBuilderInterface
{

    /**
     * @inheritDoc
     */
    public static function getMenuIds(): array
    {
        return [ 'admin_location' ];
    }

    public function buildMenu($menuId, MenuItem $menu, array $parameters)
    {
        $menu->addChild('Location type list', [
            'route' => 'chill_crud_main_location_type_index'
        ])->setExtras(['order' => 205]);

        $menu->addChild('Location list', [
            'route' => 'chill_crud_main_location_index'
        ])->setExtras(['order' => 206]);
    }
}
