<?php

namespace Chill\MainBundle\Search\Utils;

class SearchExtractionResult
{
    private string $filteredSubject;
    private array $found;

    public function __construct(string $filteredSubject, array $found)
    {
        $this->filteredSubject = $filteredSubject;
        $this->found = $found;
    }

    public function getFound(): array
    {
        return $this->found;
    }

    public function hasResult(): bool
    {
        return [] !== $this->found;
    }

    public function getFilteredSubject(): string
    {
        return $this->filteredSubject;
    }
}
