<?php

namespace Chill\PersonBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;

/**
 * Class AdminController
 *
 * @package Chill\PersonBundle\Controller
 */
class AdminController extends AbstractController
{
    /**
     * @param $_locale
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function indexAction($_locale)
    {
        return $this->render('ChillPersonBundle:Admin:layout.html.twig', []);
    }
    
    /**
     * @return \Symfony\Component\HttpFoundation\RedirectResponse
     */
    public function redirectToAdminIndexAction()
    {
        return $this->redirectToRoute('chill_main_admin_central');
    }
}
