<?php

namespace Chill\PersonBundle\Household;

use Chill\PersonBundle\Household\MembersEditor;
use Chill\PersonBundle\Entity\Household\Household;
use Symfony\Component\Validator\Validator\ValidatorInterface;


class MembersEditorFactory
{
    public function __construct(ValidatorInterface $validator)
    {
        $this->validator = $validator;
    }

    public function createEditor(?Household $household = null): MembersEditor
    {
        return new MembersEditor($this->validator, $household);
    }
}
