<?php

namespace Bundle\ChillPersonBundle\Tests\Entity\Household;

use Chill\PersonBundle\Entity\Household\HouseholdMember;
use Chill\PersonBundle\Entity\Household\Position;
use PHPUnit\Framework\TestCase;

class HouseholdMemberTest extends TestCase
{
    public function testPositionSharehousehold()
    {
        $position = (new Position())
            ->setShareHousehold(true)
            ;
        $membership = (new HouseholdMember())
            ->setPosition($position)
            ;

        $this->assertTrue($membership->getShareHousehold());
    }

    public function testPositionDoNotSharehousehold()
    {
        $position = (new Position())
            ->setShareHousehold(false)
            ;
        $membership = (new HouseholdMember())
            ->setPosition($position)
            ;

        $this->assertFalse($membership->getShareHousehold());
    }
}
