<?php

namespace Chill\ThirdPartyBundle;

use Chill\ThirdPartyBundle\ThirdPartyType\ThirdPartyTypeProviderInterface;
use Symfony\Component\HttpKernel\Bundle\Bundle;
use Chill\ThirdPartyBundle\DependencyInjection\CompilerPass\ThirdPartyTypeCompilerPass;

class ChillThirdPartyBundle extends Bundle
{
    public function build(\Symfony\Component\DependencyInjection\ContainerBuilder $container)
    {
        parent::build($container);
        $container->registerForAutoconfiguration(ThirdPartyTypeProviderInterface::class)
            ->addTag('chill_3party.provider');
        $container->addCompilerPass(new ThirdPartyTypeCompilerPass());
    }

}
