<?php

declare(strict_types=1);

namespace Chill\Migrations\AsideActivity;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * allow to add an ordering to aside activity categories
 */
final class Version20211004134012 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'allow to add an ordering to aside activity categories';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_asideactivity.asideactivitycategory ADD ordering DOUBLE PRECISION NOT NULL DEFAULT 0.00');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_asideactivity.asideactivitycategory DROP ordering');
    }
}
