<?php

namespace Chill\DocGeneratorBundle\Context;

/**
 * Interface for context for for document generation
 */
interface DocGeneratorContextInterface
{
    /**
     * has form
     */
    public function hasForm(): bool;

    /**
     * Generate the form that display
     */
    public function getForm($entity);

    /**
     * True of false which entity supports
     */
    public function supports(string $entityClass): bool;

    /**
     * Get the data that will be injected to the generated document
     */
    public function getData($entity): array;
}
