<?php

namespace Chill\MainBundle\Controller;

use Chill\MainBundle\CRUD\Controller\CRUDController;
use Symfony\Component\HttpFoundation\Request;

class LocationController extends CRUDController
{
    protected function customizeQuery(string $action, Request $request, $query): void
    {
        $query->where('e.availableForUsers = true'); //TODO not working
    }

    protected function createEntity(string $action, Request $request): object
    {
        $entity = parent::createEntity($action, $request);

        $entity->setAvailableForUsers(true);

        return $entity;
    }
}
