<?php

namespace Chill\MainBundle\Controller;

use Chill\MainBundle\CRUD\Controller\ApiController;
use Symfony\Component\HttpFoundation\Request;

/**
 * Class PostalCodeAPIController
 *
 * @package Chill\MainBundle\Controller
 * @author Champs Libres
 */
class PostalCodeAPIController extends ApiController
{

    protected function customizeQuery(string $action, Request $request, $qb): void
    {
        if ($request->query->has('country')) {

            $qb->where('e.country = :country')
               ->setParameter('country', $request->query->get('country'));

        }
    }

}
