<?php

namespace Chill\MainBundle\Form\Event;

use Symfony\Component\Form\FormBuilderInterface;

class CustomizeFormEvent extends \Symfony\Component\EventDispatcher\Event
{
    const NAME = 'chill_main.customize_form';

    protected string $type;

    protected FormBuilderInterface $builder;

    public function __construct(string $type, FormBuilderInterface $builder)
    {
        $this->type = $type;
        $this->builder = $builder;
    }

    /**
     * @return string
     */
    public function getType(): string
    {
        return $this->type;
    }

    /**
     * @return FormBuilderInterface
     */
    public function getBuilder(): FormBuilderInterface
    {
        return $this->builder;
    }
}
