<?php

namespace Chill\MainBundle\Search\Model;

class Result
{
    private float $relevance;

    /**
     * mixed an arbitrary result
     */
    private $result;

    /**
     * @param float $relevance
     * @param $result
     */
    public function __construct(float $relevance, $result)
    {
        $this->relevance = $relevance;
        $this->result = $result;
    }

    public function getRelevance(): float
    {
        return $this->relevance;
    }

    public function getResult()
    {
        return $this->result;
    }


    
}
