<?php

namespace Chill\MainBundle\Search;

use Chill\MainBundle\Search\SearchApiQuery;

interface SearchApiInterface
{
    public function provideQuery(string $pattern, array $parameters): SearchApiQuery;

    public function supportsTypes(string $pattern, array $types, array $parameters): bool;

    public function prepare(array $metadatas): void;

    public function supportsResult(string $key, array $metadatas): bool;

    public function getResult(string $key, array $metadata, float $pertinence);
}
