<?php

namespace Chill\MainBundle\Security\Authorization;

interface VoterGeneratorInterface
{
    /**
     * @param string $class The FQDN of a class
     * @param array $attributes an array of attributes
     * @return $this
     */
    public function addCheckFor(?string $class, array $attributes): self;

    public function build(): VoterHelperInterface;
}
