<?php

namespace Chill\MainBundle\Security\Resolver;

use Chill\MainBundle\Entity\Center;

interface CenterResolverInterface
{
    /**
     * @param object $entity
     */
    public function supports($entity, ?array $options = []): bool;

    /**
     * @param object $entity
     * @return Center|Center[]
     */
    public function resolveCenter($entity, ?array $options = []);

    public static function getDefaultPriority(): int;
}
