<?php

namespace Chill\MainBundle\Serializer\Model;

use Chill\MainBundle\Pagination\PaginatorInterface;

class Collection
{
    private PaginatorInterface $paginator;

    private $items;

    public function __construct($items, PaginatorInterface $paginator)
    {
        $this->items = $items;
        $this->paginator = $paginator;
    }

    public function getPaginator(): PaginatorInterface
    {
        return $this->paginator;
    }

    public function getItems()
    {
        return $this->items;
    }
}
