<?php

namespace Chill\MainBundle\Tests\Security\Resolver;

use Chill\MainBundle\Entity\Center;
use Chill\MainBundle\Security\Resolver\CenterResolverDispatcher;
use Symfony\Bundle\FrameworkBundle\Test\KernelTestCase;

class CenterResolverDispatcherTest extends KernelTestCase
{
    private CenterResolverDispatcher $dispatcher;

    protected function setUp()
    {
        self::bootKernel();
        $this->dispatcher = self::$container->get(CenterResolverDispatcher::class);
    }

    public function testResolveCenter()
    {
       $center = new Center();

       $resolved = $this->dispatcher->resolveCenter($center);

       $this->assertSame($center, $resolved);
    }
}
