<?php

namespace Chill\PersonBundle\Notification;

use Chill\MainBundle\Entity\Notification;
use Chill\PersonBundle\Entity\AccompanyingPeriod;

final class AccompanyingPeriodNotificationRenderer
{
    public function supports(Notification $notification)
    {
        return $notification->getRelatedEntityClass() == AccompanyingPeriod::class;
    }

    public function getTemplate()
    {
        return 'ChillPersonBundle:AccompanyingPeriod:showInNotification.html.twig';
    }

    public function getTemplateData(Notification $notification)
    {
        return ['notification' => $notification];
    }
}
