<?php

namespace Chill\PersonBundle\Validator\Constraints\AccompanyingPeriod;

use Symfony\Component\Validator\Constraint;

/**
 * @Annotation
 */
class LocationValidity extends Constraint
{
    public $messagePersonLocatedMustBeAssociated = "The person where the course is located must be associated to the course. Change course's location before removing the person.";

    public $messagePeriodMustRemainsLocated = "The period must remain located";

    public function getTargets()
    {
        return self::CLASS_CONSTRAINT;
    }
}
