<?php

declare(strict_types=1);

namespace Chill\Migrations\Person;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Add house holder on membership
 */
final class Version20210528142121 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Add house holder on membership';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_person_household_members ADD holder BOOLEAN DEFAULT FALSE  NOT NULL');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_person_household_members DROP COLUMN holder');
    }
}
