<?php

declare(strict_types=1);

namespace Chill\Migrations\Person;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * isActive property added to Relation entity.
 */
final class Version20211029075117 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'isActive property added to Relation entity.';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_person_relations ADD isActive BOOLEAN DEFAULT true NOT NULL');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_person_relations DROP isActive');
    }
}
