<?php

namespace Chill\ThirdPartyBundle\Repository;

use Chill\ThirdPartyBundle\Entity\ThirdParty;

interface ThirdPartyACLAwareRepositoryInterface
{
    public function countThirdParties(string $role, ?string $filterString): int;

    /**
     * @param string $role
     * @param array|null $orderBy
     * @param int|null $limit
     * @param int|null $offset
     * @return array|ThirdParty[]
     */
    public function listThirdParties(
        string $role,
        ?string $filterString,
        ?array $orderBy = [],
        ?int $limit = 0,
        ?int $offset = 50
    ): array;
}
